Zakaj Java, Silverlight, Adobe Acrobat in drugi vtičniki ne delujejo več?

Od različice 52, izdane marca 2017, dalje Firefox ne podpira več vtičnikov NPAPI, razen vtičnika Adobe Flash. Nekateri vtičniki se v Firefoxu ne bodo več naložili, tudi če so nameščeni na računalniku, med njimi Silverlight, Java in Adobe Acrobat. Za podrobnosti glejte ta dokument o združljivosti.

V zadnjih letih je Firefox uvedel različne spletne API-je, ki spletnim stranem omogočajo enake funkcije brez vtičnikov, zato pri brskanju verjetno ne boste niti opazili sprememb.

Zakaj ukinjate podporo?

Splet je poln spletnih mest, ki so svoje statične strani nadgradile z raznimi interaktivnimi elementi, kot so videi, zvok, animacije in igre. Vtičniki NPAPI, še posebej Flash, so omogočili ustvarjanje teh elementov. Vendar zaradi svoje zastarelosti tudi upočasnjujejo vaše brskanje, so manj varni in pogosto povzročajo sesutja.

V zadnjih letih je Firefox vložil veliko sredstev v razvoj zamenjav za vtičnike. Te se imenujejo spletni API-ji (angl. Web APIs) in so zasnovane, da prevzamejo naloge vtičnikov, ne da bi poslabšale varnost, stabilnost in učinkovitost delovanja vašega brskalnika.

Dokler spletni API-ji še niso bili popolnoma gotovi, je Firefox začel prehod tako, da je vtičnike nastavil na ročno aktivacijo ("klikni za aktiviranje").

Danes so pripravljeni. Veliko spletnih mest jih je že začelo uporabljati in skoraj vse priljubljene strani so že prenehale z uporabo starih in nevarnih vtičnikov. Firefox se tako pridružuje ostalim sodobnim brskalnikom, kot sta Google Chrome in Microsoft Edge, ki so že ukinili podporo za vtičnike NPAPI.

Imam težave

V kolikor še niste pripravljeni na prehod, bo različica ESR (Extended Support Release) Firefoxa 52 nadaljevala s podporo za vtičnike do začetka leta 2018. Kliknite tukaj za prenos Firefoxa ESR.

Pomembno: tudi 64-bitna različica za Windows Firefoxa 52 ESR podpira le Adobe Flash in Microsoft Silverlight. Če potrebujete podporo za druge nameščene vtičnike, izberite 32-bitno izdajo za Windows.

Privzeto bo Firefox 52 ESR uporabljal iste podatke uporabniškega profila kot druge različice Firefoxa. Namestitev Firefoxa 52 ESR, medtem ko uporabljate Firefox 55 ali novejšega, lahko povzroči težave, kot so sporočila o napaki, nepravilno delovanje delov Firefoxa in težave z nekaterimi spletnimi stranmi. Priporočamo, da za Firefox 52 ESR ustvarite nov profil ali po njegovi namestitvi osvežite Firefox.

Vam je bil ta članek v pomoč? Prosimo počakajte...

Ta članek je delo tehle prima deklet in fantov: Lan, Peter. Tudi vi lahko pomagate - in sicer takole.